=== src/location_service/com/ubuntu/CMakeLists.txt ===
add_subdirectory(location)
