## location-service 3.0.0+16.04.20160405-0ubuntu3

=== debian/changelog ===
location-service (3.0.0+16.04.20160405-0ubuntu3) yakkety; urgency=medium

  * Rebuild against libjson-c3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2016 00:09:09 +0200

location-service (3.0.0+16.04.20160405-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:44:24 +0000
