## location-service 3.0.0+16.04.20160405-0ubuntu4

=== debian/changelog ===
location-service (3.0.0+16.04.20160405-0ubuntu4) yakkety; urgency=medium

  * Add missing include to random, making the build fail because
    of undefined default_random_engine

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2016 10:23:05 +0200
