## location-service 3.0.0+16.10.20160524.3-0ubuntu1

=== debian/changelog ===
location-service (3.0.0+16.10.20160524.3-0ubuntu1) yakkety; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Thomas Voß ]
  * Fix #1584860. The NM update altered the type of LastSeen to int32.
    (LP: #1584860)

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 24 May 2016 09:45:00 +0000
