=== src/location_service/com/ubuntu/location/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
   proxy_provider.cpp
   satellite_based_positioning_state.cpp
   settings.cpp
+  state_tracking_provider.h
   time_based_update_policy.cpp
   set_name_for_thread.cpp
   time_since_boot.cpp
@@ -50,6 +51,7 @@
   service/runtime.cpp
   service/runtime_tests.h
   service/runtime_tests.cpp
+  service/state.cpp
   service/trust_store_permission_manager.cpp
 
   service/implementation.cpp
