## location-service 3.0.0+16.10.20160616-0ubuntu1

=== debian/changelog ===
location-service (3.0.0+16.10.20160616-0ubuntu1) yakkety; urgency=medium

  [ Scott Sweeny ]
  * Fusion provider: Always use an update that came from the same source
    as the previous used update (fixes LP: #1570878) (LP: #1570878)

 -- Thomas Voß <thomas.voss@canonical.com>  Thu, 16 Jun 2016 06:03:16 +0000
