=== debian/changelog ===
location-service (3.0.0+16.10.20160912-0ubuntu1) yakkety; urgency=medium

  [ Scott Sweeny, You-Sheng Yang ]
  * Enable gps provider on arm64.

 -- Scott Sweeny <scott.sweeny@canonical.com>  Mon, 12 Sep 2016 20:54:10 +0000

location-service (3.0.0+16.10.20160811-0ubuntu1) yakkety; urgency=medium

  [ Alberto Mardegan ]
  * Don't sent last known position to new sessions (LP: #1604446)

  [ Scott Sweeny ]
  * Enable running location-service on Snappy Ubuntu Core

  [ Thomas Voß ]
  * Make sure that we are not racing with the timeout handler.

 -- Thomas Voß <thomas.voss@canonical.com>  Thu, 11 Aug 2016 08:27:10 +0000
