=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
                libnet-cpp-dev,
                libprocess-cpp-dev,
                libtrust-store-dev,
-               libubuntu-platform-hardware-api-headers [!arm64 !ppc64el !powerpc],
-               libubuntu-platform-hardware-api-dev [!arm64 !ppc64el !powerpc],
+               libubuntu-platform-hardware-api-headers [!ppc64el !powerpc],
+               libubuntu-platform-hardware-api-dev [!ppc64el !powerpc],
                libproperties-cpp-dev,
                lsb-release,
                trust-store-bin,
